Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/SBC/sbccpl.F90
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/SBC/sbccpl.F90	(revision 11403)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/SBC/sbccpl.F90	(revision 11423)
@@ -36,5 +36,5 @@
    USE eosbn2         ! 
    USE sbcrnf  , ONLY : l_rnfcpl
-   USE isf     , ONLY : l_isfcpl, fwfisf_cpl
+   USE isf     , ONLY : l_isfoasis, fwfisf_oasis
 #if defined key_cice
    USE ice_domain_size, only: ncat
@@ -475,5 +475,5 @@
 
       IF( srcv(jpr_isf)%laction .AND. ln_isf ) THEN
-         l_isfcpl             = .TRUE.                      ! -> no need to read isf in sbcisf
+         l_isfoasis = .TRUE.  ! -> isf fwf comes from oasis
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '   iceshelf received from oasis '
@@ -1409,5 +1409,5 @@
          ! ice shelf fwf
          IF( srcv(jpr_isf)%laction )  THEN
-            fwfisf_cpl(:,:) = - frcv(jpr_isf)%z3(:,:,1)  ! fresh water flux from the isf (fwfisf <0 mean melting)  
+            fwfisf_oasis(:,:) = - frcv(jpr_isf)%z3(:,:,1)  ! fresh water flux from the isf (fwfisf <0 mean melting)  
          END IF
         
@@ -1713,5 +1713,5 @@
       ENDIF
       IF( srcv(jpr_isf)%laction ) THEN   ! iceshelf (fwfisf <0 mean melting)
-        fwfisf_cpl(:,:) = - frcv(jpr_isf)%z3(:,:,1)  
+        fwfisf_oasis(:,:) = - frcv(jpr_isf)%z3(:,:,1)  
       ENDIF
 
@@ -1752,5 +1752,5 @@
       ENDIF
       IF( srcv(jpr_isf)%laction ) THEN   ! iceshelf (fwfisf <0 mean melting)
-        fwfisf_cpl(:,:) = - frcv(jpr_isf)%z3(:,:,1)
+        fwfisf_oasis(:,:) = - frcv(jpr_isf)%z3(:,:,1)
       ENDIF
       !
Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/TRA/traisf.F90
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/TRA/traisf.F90	(revision 11403)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/TRA/traisf.F90	(revision 11423)
@@ -16,5 +16,4 @@
    USE isf            ! Ice shelf variable
    USE isfutils       !
-   USE iscplini       ! Ice sheet coupling
    !
    USE in_out_manager ! I/O manager
@@ -56,5 +55,8 @@
       !
       ! ice sheet coupling case
-      !CALL tra_isf_cpl()
+      IF ( ll_isfcpl .AND. kt == nit000 ) CALL tra_isf_cpl(risfcpl_tsc, tsa)
+      !
+      ! ice sheet coupling case (
+      IF ( ll_isfcpl_cons ) CALL tra_isf_cpl(risfcpl_cons_tsc, tsa)
       !
       IF( ln_timing )   CALL timing_stop('tra_isf')
@@ -76,5 +78,4 @@
       REAL(wp), DIMENSION(jpi,jpj)     , INTENT(in   ) :: phtbl, pfrac
       REAL(wp), DIMENSION(jpi,jpj,jpts), INTENT(in   ) :: ptsc , ptsc_b
-      REAL(wp), DIMENSION(jpi,jpj) :: ztc
       !!----------------------------------------------------------------------
       INTEGER                      :: ji,jj,jk  ! loop index   
@@ -107,23 +108,24 @@
    END SUBROUTINE tra_isf_mlt
    !
-   !SUBROUTINE tra_isf_cpl
-       !
-!      !----------------------------------------
-!      !        Ice Sheet coupling imbalance correction to have conservation
-!      !----------------------------------------
-!      !
-!      IF( ln_iscpl .AND. ln_iscpl_hsb) THEN         ! input of heat and salt due to river runoff 
-!         DO jk = 1,jpk
-!            DO jj = 2, jpj 
-!               DO ji = fs_2, fs_jpim1
-!                  zdep = 1._wp / e3t_n(ji,jj,jk) 
-!                  tsa(ji,jj,jk,jp_tem) = tsa(ji,jj,jk,jp_tem) - htsc_iscpl(ji,jj,jk,jp_tem) * zdep
-!                  tsa(ji,jj,jk,jp_sal) = tsa(ji,jj,jk,jp_sal) - htsc_iscpl(ji,jj,jk,jp_sal) * zdep  
-!               END DO  
-!            END DO  
-!         END DO
-!      ENDIF
-!      !
-!   END SUBROUTINE tra_isf_cpl
+   SUBROUTINE tra_isf_cpl( ptsc, ptsa )
+      !!----------------------------------------------------------------------
+      !!                  ***  ROUTINE tra_isf_cpl  ***
+      !!
+      !! *** Action :: Update tsa with the ice shelf coupling trend 
+      !!
+      !!----------------------------------------------------------------------
+      REAL(wp), DIMENSION(jpi,jpj,jpk,jpts), INTENT(inout) :: ptsa
+      !!----------------------------------------------------------------------
+      REAL(wp), DIMENSION(jpi,jpj,jpk,jpts), INTENT(in   ) :: ptsc  !( >0 out )
+      !!----------------------------------------------------------------------
+      INTEGER :: jk
+      !!----------------------------------------------------------------------
+      !
+      DO jk = 1,jpk
+         ptsa(:,:,jk,jp_tem) = ptsa(:,:,jk,jp_tem) - ptsc(:,:,jk,jp_tem) * r1_e1e2t(:,:) / e3t_n(:,:,jk)
+         ptsa(:,:,jk,jp_sal) = ptsa(:,:,jk,jp_sal) - ptsc(:,:,jk,jp_sal) * r1_e1e2t(:,:) / e3t_n(:,:,jk)
+      END DO
+      !
+   END SUBROUTINE tra_isf_cpl
    !
 END MODULE traisf
